FROM docker.io/rust:1.81.0-bookworm

RUN apt-get update && \
  apt-get install -y libdbus-1-dev && \
  curl -L https://github.com/cargo-bins/cargo-binstall/releases/latest/download/cargo-binstall-x86_64-unknown-linux-musl.tgz -o cargo-binstall.tgz && \
  tar -xzf cargo-binstall.tgz && \
  rm cargo-binstall.tgz && \
  mv cargo-binstall /usr/local/bin/ && \
  cargo binstall -y cargo-chef && \
  rustup component add rustfmt clippy

# verify that the binaries are installed
RUN ls -l /usr/local/cargo/bin/
RUN cargo chef --version
RUN rustfmt --version
RUN cargo fmt --version
RUN cargo clippy --version
RUN cargo --version
RUN rustc --version
RUN rustup --version
RUN rustup show
