//
use super::*;

pub fn start_actor(
    repository_factory: MockRepositoryFactory,
    repo_details: RepoDetails,
    forge: Box<dyn ForgeLike>,
) -> (actix::Addr<RepoActor>, ActorLog) {
    let (actor, log) = given::a_repo_actor(
        repo_details,
        Box::new(repository_factory),
        forge,
        given::a_network().into(),
    );
    (actor.start(), log)
}

pub fn start_actor_with_open_repository(
    open_repository: Box<dyn OpenRepositoryLike>,
    repo_details: RepoDetails,
    forge: Box<dyn ForgeLike>,
) -> (actix::Addr<RepoActor>, ActorLog) {
    let (actor, log) = given::a_repo_actor(repo_details, mock(), forge, given::a_network().into());
    let actor = actor.with_open_repository(Some(open_repository));
    (actor.start(), log)
}

pub fn commit_status(forge: &mut MockForgeLike, commit: Commit, status: Status) {
    let mut commit_status_forge = MockForgeLike::new();
    commit_status_forge
        .expect_commit_status()
        .with(mockall::predicate::eq(commit))
        .return_once(|_| status);
    forge
        .expect_duplicate()
        .return_once(move || Box::new(commit_status_forge));
}
