//
use actix::prelude::*;

use git_next_core::server::AppConfig;

use crate::{
    file_watcher::FileUpdated,
    server::actor::{messages::ReceiveAppConfig, ServerActor},
};

impl Handler<FileUpdated> for ServerActor {
    type Result = ();

    fn handle(&mut self, _msg: FileUpdated, ctx: &mut Self::Context) -> Self::Result {
        match AppConfig::load(&self.fs) {
            Ok(app_config) => self.do_send(ReceiveAppConfig::new(app_config), ctx),
            Err(err) => self.abort(ctx, format!("Failed to load config file. Error: {err}")),
        };
    }
}
