use std::time::Duration;

use actix::prelude::*;

use crate::alerts::{AlertsActor, History};

//
pub fn a_filesystem() -> kxio::fs::FileSystem {
    kxio::fs::temp().unwrap_or_else(|e| panic!("{}", e))
}

pub fn a_network() -> kxio::network::MockNetwork {
    kxio::network::MockNetwork::new()
}

pub fn an_alerts_actor(net: kxio::network::Network) -> Addr<AlertsActor> {
    AlertsActor::new(None, History::new(Duration::from_millis(1)), net).start()
}
